Bug 1287551 - [Admin Portal] Uncaught exception occurred. Please try reloading the page. Details: Index: 0, Size: 0
[Admin Portal] Uncaught exception occurred. Please try reloading the page. De...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.1
Unspecified Unspecified
high Severity low (vote)
: ovirt-3.6.2
: 3.6.2.5
Assigned To: Alexander Wels
Petr Matyáš
: Reopened
Depends On:
Blocks: RHEV3.6Upgrade
  Show dependency treegraph
 
Reported: 2015-12-02 05:31 EST by Jiri Belka
Modified: 2016-02-18 06:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:05:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
mgoldboi: planning_ack+
ecohen: devel_ack+
pnovotny: testing_ack+


Attachments (Terms of Use)
screenshot (180.99 KB, image/png)
2015-12-02 05:31 EST, Jiri Belka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51458 master MERGED webadmin: Auto select index out of bounds 2016-01-11 14:37 EST
oVirt gerrit 51678 ovirt-engine-3.6 MERGED webadmin: Auto select index out of bounds 2016-01-11 16:30 EST

  None (edit)
Description Jiri Belka 2015-12-02 05:31:18 EST
Created attachment 1101408 [details]
screenshot

Description of problem:

After bumping-up DC compat level successfully following error is shown at the top of the Admin Portal window.

~~~
Uncaught exception occurred. Please try reloading the page. Details: Index: 0, Size: 0
~~~

See screenshot.

In FF console there is:

~~~
Wed Dec 02 11:18:45 GMT+100 2015 
SEVERE: Uncaught exception: java.lang.IndexOutOfBoundsException: Index: 0, Size: 0
	at Unknown.ms(Unknown Source)
	at Unknown.ls(Unknown Source)
	at Unknown.rs(Unknown Source)
	at Unknown.ts(Unknown Source)
	at Unknown.JFf(Unknown Source)
	at Unknown.q3e(Unknown Source)
	at Unknown.l3e(Unknown Source)
	at Unknown.C3e(Unknown Source)
	at Unknown.S3e(Unknown Source)
	at Unknown.MTf(Unknown Source)
	at Unknown.A9l(Unknown Source)
	at Unknown.Ju(Unknown Source)
	at Unknown.Au(Unknown Source)
	at Unknown.Nu(Unknown Source)
	at Unknown.Hu(Unknown Source)
	at Unknown.Yt(Unknown Source)
	at Unknown.au(Unknown Source)
	at Unknown._t/<(Unknown Source)
	at Unknown.Ku/<(Unknown Source)
	at Unknown.kv/d<(Unknown Source)
	at Unknown.anonymous(Unknown Source)
~~~

Clicking on the link in console opens FF Debugger and highlights the line:

~~~
_.cf=function iZ(a){var b;b=a.d;!!b&&XYf(this.b,b);return true};KBe(500,401,{});_.cf=function mZ(a){return lZ(a)};KBe(499,500,{},nZ);_.cf=function oZ(a){var b,c,d,e;e=a.d;c=a.e;!!c&&c.df(e);b=a.c;if(b){d=e.Tb;b.af(d)}return lZ(a)};KBe(501,493,{},qZ);_.rf=function rZ(){return true};_.sf=function sZ(){return this.b};_.tf=function tZ(a){this.d.mf(a)};KBe(502,1,{},vZ);_.tS=function wZ(){return this.c+' @ '+LJf(this.b,this.d)};_.d=0;KBe(503,1,{62:1,184:1},zZ);_.qf=function AZ(){return this.b.Ej()};_.pf=function BZ(a){yZ(this,zab(a,1))};KBe(504,491,{60:1,62:1,64:1,66:1,184:1},EZ);_.qf=function FZ(){try{this.e=this.d.Zk()}catch(a){a=MAe(a);if(Bab(a,337)){EL(this.c,'Bad value ('+Lmf(this.d)+Hny,Lmf(this.d))}else throw LAe(a)}return this.e};_.df=function GZ(a){this.c=a};_.pf=function HZ(a){DZ(this,a)};KBe(505,403,Ley,JZ);_.ff=function KZ(a){};_.hf=function LZ(){return this.b};_.jf=function MZ(){return this.c};_.kf=function NZ(){};_.lf=function OZ(a){this.b=zab(a,66)};_.mf=function PZ(a){this.c=zab(a,315)};KBe(506,403,Ley,RZ);_.ff=function SZ(a){};_.hf=function TZ(){return this.b};_.jf=function UZ(){return this.c};_.kf=function VZ(){};_.lf=function WZ(a){this.b=zab(a,66)};_.mf=function XZ(a){this.c=zab(a,1)};KBe(510,1,{});_.tS=function a$(){return 'An event type'};KBe(509,510,{});_.xf=function c$(){this.j=false;this.k=null};_.j=false;KBe(508,509,{});_.wf=function h$(){return this.yf()};var d$;KBe(507,508,{},k$);_.vf=function l$(a){zab(a,67).zf(this)};_.yf=function m$(){return i$};var i$;KBe(511,508,{},q$);_.vf=function r$(a){zab(a,68).Af(this)};_.yf=function s$(){return o$};var o$;KBe(514,508,{});KBe(513,514,{});KBe(512,513,{},A$);_.vf=function B$(a){zab(a,69).Bf(this)};_.yf=function C$(){return y$};var y$;KBe(515,508,{},G$);_.vf=function H$(a){zab(a,70).Cf(this)};_.yf=function I$(){return E$};var E$;KBe(518,1,{});_.hC=function N$(){return this.d};_.tS=function O$(){return 'Event type'};_.d=0;var M$=0;KBe(517,518,{},P$);KBe(516,517,{71:1},Q$);KBe(520,508,{});KBe(521,520,{},a_);_.vf=function b_(a){zab(a,73).Ef(this)};_.yf=function c_(){return $$};var $$;KBe(522,520,{},g_);_.vf=function h_(a){zab(a,74).Ff(this)};_.yf=function i_(){return e_};var e_;KBe(523,520,{},m_);_.vf=function n_(a){zab(a,75).Gf(this)};_.yf=function o_(){return k_};var k_;KBe(524,520,{},s_);_.vf=function t_(a){zab(a,76).Hf(this)};_.yf=function u_(){return q_};var q_;KBe(525,520,{},y_);_.vf=function z_(a){zab(a,77).If(this)};_.yf=function A_(){return w_};var w_;KBe(526,508,{},E_);_.vf=function F_(a){zab(a,78).Jf(this)};_.yf=function G_(){return C_};var C_;KBe(528,508,{});KBe(527,528,{});KBe(530,527,{},P_);_.vf=function Q_(a){zab(a,112).Kf(this)};_.yf=function R_(){return N_};var N_;KBe(531,528,{},V_);_.vf=function W_(a){zab(a,113).Lf(this)};_.yf=function X_(){return T_};var T_;KBe(532,527,{},__);_.vf=function a0(a){zab(a,114).Mf(this)};_.yf=function b0(){return Z_};var Z_;KBe(533,513,{},f0);_.vf=function g0(a){zab(a,115).Nf(this)};_.yf=function h0(){return d0};var d0;KBe(534,513,{},m0);_.vf=function n0(a){l0(this,zab(a,116))};_.yf=function o0(){return j0};var j0;KBe(535,513,{},s0);_.vf=function t0(a){zab(a,117).Of(this)};_.yf=function u0(){return q0};var q0;KBe(536,513,{},y0);_.vf=function z0(a){zab(a,118).Pf(this)};_.yf=function A0(){return w0};var w0;KBe(537,513,{},E0);_.vf=function F0(a){zab(a,119).Qf(this)};_.yf=function G0(){return C0};var C0;KBe(538,1,{},K0);KBe(542,514,{});var T0;KBe(541,542,{},W0);_.vf=function X0(a){tKe(zab(a,121).b)};_.yf=function Y0(){return U0};var U0;KBe(543,542,{},a1);_.vf=function b1(a){tKe(zab(a,122).b)};_.yf=function c1(){return $0};var $0;KBe(544,1,{},e1);_.b=false;KBe(545,542,{},j1);_.vf=function k1(a){i1(this,zab(a,123))};_.yf=function l1(){return g1};var g1;KBe(546,542,{},q1);_.vf=function r1(a){p1(this,zab(a,124))};_.yf=function s1(){return n1};var n1;KBe(547,509,{},v1);_.vf=function w1(a){zab(a,125).Sf(this)};_.wf=function y1(){return u1};_.b=false;var u1;KBe(549,509,{},C1);_.vf=function D1(a){zab(a,126).Tf(this)};_.wf=function F1(){return B1};_.b=false;var B1;KBe(551,509,{},O1);_.vf=function P1(a){zab(a,130).Xf(this)};_.wf=function R1(){return N1};var N1;KBe(552,509,{},U1);_.vf=function V1(a){zab(a,131).Yf(this)};_.wf=function X1(){return T1};_.b=0;var T1;KBe(553,509,{},$1);_.vf=function _1(a){zab(a,132).Zf(this)};_.wf=function b2(){return Z1};var Z1;KBe(554,509,{},e2);_.vf=function f2(a){zab(a,133).$f(this)};_.wf=function i2(){return d2};var d2;KBe(556,1,{});KBe(555,556,Mey);_._f=function n2(a,b){throw new iLf(xpy)};_.ag=function o2(a){throw new iLf(xpy)};_.bg=function p2(a,b){throw new iLf(xpy)};KBe(557,1,Mey,u2,v2);_.be=function w2(a){s2(this,a)};KBe(559,556,{},K2);_._f=function M2(a,b){return A2(this,a,b)};_.cg=function N2(a,b,c){this.c>0?z2(this,new ewf(this,a,b,c)):D2(this,a,b,c)};_.ag=function O2(a){C2(this,a,null)};_.bg=function P2(a,b){F2(this,a,b)};_.c=0;_.d=false;KBe(558,559,{},Q2);_.cg=function R2(a,b,c){this.c>0?z2(this,new ewf(this,a,b,c)):D2(this,a,b,c)};KBe(560,1,Ney,T2);_.dg=function U2(){Zvf(this.b)};KBe(561,555,Mey,Z2);_._f=function $2(a,b){return X2(this,a,b)};_.be=function _2(a){l2(this,a)};_.ag=function a3(a){C2(this.b,a,null)};_.bg=function b3(a,b){Y2(this,a,b)};KBe(563,156,Oey,e3);KBe(562,563,Oey,h3);KBe(564,1,{},l3);_.b=null;KBe(565,1,{},n3);_.eg=function o3(){return j3(this.b)};KBe(566,1,{},t3);_.fg=function v3(a){if(!this.d){return}q3(this);a.gg(this,new T3(this.b))};_.b=0;_.c=0;KBe(567,1,{},G3);_.e=false;_.g=0;var x3,y3;KBe(568,1,{},J3);_.Xe=function K3(a){if(a.readyState==4){zuf(a);r3(this.c,this.b)}};KBe(569,1,{},M3);_.tS=function N3(){return this.b};KBe(570,157,Pey,P3);KBe(571,570,Pey,R3);KBe(572,570,Pey,T3);KBe(573,1,{});KBe(574,573,{},W3);KBe(577,1,{114:1,134:1,145:1},b4);_.Mf=function d4(a){};KBe(583,1,{142:1},K4);var j4;KBe(582,583,{138:1,142:1},Q4);var O4;KBe(584,22,{139:1,293:1,304:1,308:1},F5);var V4,W4,X4,Y4,Z4,$4,_4,a5,b5,c5,d5,e5,f5,g5,h5,i5,j5,k5,l5,m5,n5,o5,p5,q5,r5,s5,t5,u5,v5,w5,x5,y5,z5,A5,B5,C5,D5;var I5;KBe(587,1,{});KBe(586,587,{});KBe(588,1,{140:1},S5);_.jg=function U5(a){var b;b="Cannot find '"+a+"' in "+this;throw new kYf(b)};_.tS=function W5(){return this.c};var O5;KBe(589,22,{141:1,293:1,304:1,308:1},b6);var Y5,Z5,$5,_5;var e6;KBe(591,1,{},l6);var h6;KBe(592,1,{},F6);_.c=0;_.d=false;_.e=0;_.f=0;_.g=3;_.i=false;_.j=3;_.k=40;_.n=0;_.o=0;_.p=1;_.q=1;_.r=xmy;_.s=Uly;_.u=Uly;_.v=Uly;_.w=false;KBe(593,1,{},K6);_.b=0;KBe(594,1,{},R6);KBe(596,1,{});KBe(598,596,{});KBe(597,598,{},X6);KBe(599,586,{});KBe(600,599,{},$6);KBe(601,1,{143:1},a7);_.b=false;_.c=0;KBe(602,22,{144:1,293:1,304:1,308:1},O7);var c7,d7,e7,f7,g7,h7,i7,j7,k7,l7,m7,n7,o7,p7,q7,r7,s7,t7,u7,v7,w7,x7,y7,z7,A7,B7,C7,D7,E7,F7,G7,H7,I7,J7,K7,L7,M7;var R7;KBe(605,1,Sey,$7,_7,b8);_.cT=function c8(a){return this.kg(zab(a,343))};_.kg=function d8(a){return uIf(yBe(this.rg(),a.rg()))};_.eQ=function e8(a){return Bab(a,343)&&iBe(this.rg(),zab(a,343).rg())};_.lg=function f8(){return this.q.getDate()};_.mg=function g8(){return this.q.getDay()};_.ng=function h8(){return this.q.getHours()};_.og=function i8(){return this.q.getMinutes()};_.pg=function j8(){return this.q.getMonth()};_.qg=function k8(){return this.q.getSeconds()};_.rg=function l8(){return jBe(this.q.getTime())};_.sg=function m8(){return this.q.getFullYear()-1900};_.hC=function n8(){return Y7(this)};_.tg=function p8(a){var b;b=this.q.getHours();Is(this.q,a);X7(this,b)};_.ug=function q8(a){Ls(this.q,a);X7(this,a)};_.vg=function r8(a){var b;b=this.ng()+~~(a/60);Ns(this.q,a);X7(this,b)};_.wg=function s8(a){var b;b=this.q.getHours();Os(this.q,a);X7(this,b)};_.xg=function t8(a){var b;b=this.ng()+~~(a/3600);Ps(this.q,a);X7(this,b)};_.yg=function u8(a){Z7(this,a)};_.zg=function v8(a){var b;b=this.q.getHours();Js(this.q,a+1900);X7(this,b)};_.tS=function w8(){var a,b,c;c=-this.q.getTimezoneOffset();a=(c>=0?Hpy:Uly)+~~(c/60);b=(c<0?-c:c)%60<10?Lqy+(c<0?-c:c)%60:(uJf(),Uly+(c<0?-c:c)%60);return (eVf(),cVf)[this.q.getDay()]+Mky+dVf[this.q.getMonth()]+Mky+o8(this.q.getDate())+Mky+o8(this.q.getHours())+Oky+o8(this.q.getMinutes())+Oky+o8(this.q.getSeconds())+' GMT'+a+b+Mky+this.q.getFullYear()};KBe(604,605,Sey,y8);_.ug=function z8(a){this.g=a};_.vg=function A8(a){this.j=a};_.wg=function B8(a){this.k=a};_.xg=function C8(a){this.n=a};_.zg=function D8(a){this.p=a};_.b=false;_.c=0;_.d=0;_.e=0;_.f=0;_.g=0;_.i=0;_.j=0;_.k=0;_.n=0;_.o=0;_.p=0;KBe(608,1,{});_.Bg=function G8(){return null};_.Cg=function H8(){return null};KBe(607,608,{146:1},I8);_.eQ=function J8(a){if(!Bab(a,146)){return false}return this.b==zab(a,146).b};_.hC=function K8(){return cu(this.b)};_.tS=function L8(){var a,b,c,d,e;c=new tKf;cv(c.b,hsy);for(b=0,a=this.b.length;b<a;b++){b>0&&(cv(c.b,isy),c);oKf(c,(d=this.b[b],e=(X9(),W9)[typeof d],e?e(d):bab(typeof d)))}cv(c.b,jsy);return c.b.b};KBe(609,608,{},Q8);_.tS=function R8(){return aGf(this.b)};_.b=false;var N8,O8;KBe(610,156,ley,T8);KBe(611,608,{},X8);_.tS=function Y8(){return yny};var V8;KBe(612,608,{147:1},$8);_.eQ=function _8(a){if(!Bab(a,147)){return false}return this.b==zab(a,147).b};_.hC=function a9(){return Fab((gHf(),new jHf(this.b)).b)};_.tS=function b9(){return this.b+Uly};_.b=0;KBe(613,608,{148:1},i9);_.eQ=function j9(a){if(!Bab(a,148)){return false}return this.b==zab(a,148).b};_.hC=function k9(){return cu(this.b)};_.Bg=function l9(){return this};_.tS=function m9(){var a,b,c,d,e,f;f=new tKf;cv(f.b,ksy);a=true;e=d9(this,oab(Pue,iey,1,0,0));for(c=0,d=e.length;c<d;++c){b=e[c];a?(a=false):(cv(f.b,lsy),f);pKf(f,Ys(b));cv(f.b,Oky);oKf(f,f9(this,b))}cv(f.b,msy);return f.b.b};KBe(616,1,Tey);_.Dg=function B9(a){throw new iLf('Add not supported on this collection')};_.Eg=function C9(a){return q9(this,a)};_.Fg=function D9(){s9(this)};_.Gg=function E9(a){return t9(this,a)};_.Hg=function F9(a){return u9(this,a)};_.Ig=function G9(){return this.Ng()==0};_.Kg=function H9(a){return v9(this,a)};_.Lg=function I9(a){return w9(this,a)};_.Mg=function J9(a){return x9(this,a)};_.Og=function K9(){return y9(this)};_.Pg=function L9(a){return z9(this,a)};_.tS=function M9(){return A9(this)};KBe(615,616,Uey);_.eQ=function P9(a){var b,c,d;if(a===this){return true}if(!Bab(a,357)){return false}c=zab(a,357);if(c.Ng()!=this.Ng()){return false}for(b=c.Jg();b.kk();){d=b.lk();if(!this.Gg(d)){return false}}return true};_.hC=function Q9(){return N9(this)};_.Lg=function R9(a){return O9(this,a)};KBe(614,615,Uey,S9);_.Gg=function T9(a){return Bab(a,1)&&e9(this.b,zab(a,1))};_.Jg=function U9(){return new bRf(new kSf(this.c))};_.Ng=function V9(){return this.c.length};var W9;KBe(618,608,{149:1},dab);_.eQ=function eab(a){if(!Bab(a,149)){return false}return yJf(this.b,zab(a,149).b)};_.hC=function fab(){return jKf(this.b)};_.Cg=function gab(){return this};_.tS=function hab(){return Ys(this.b)};KBe(619,157,key);KBe(620,1,{},jab);_.qI=0;var rab,sab;var NAe;var cBe;var DBe,EBe,FBe,GBe;KBe(632,1,{},VBe);KBe(633,3,{},YBe);_.Dd=function ZBe(){XBe(this)};_.Ed=function $Be(){XBe(this)};_.Gd=function _Be(a){var b,c,d;for(c=new bRf(this.b.d);c.c<c.e.Ng();){b=zab(_Qf(c),152);b.v&&(b.j=b.H+(b.P-b.H)*a);b.w&&(b.n=b.I+(b.R-b.I)*a);b.A&&(b.X=b.J+(b.T-b.J)*a);b.t&&(b.b=b.F+(b.L-b.F)*a);b.B&&(b.ab=b.K+(b.V-b.K)*a);b.u&&(b.g=b.G+(b.N-b.G)*a);BCe(b);!!this.c&&(d=b.Z,Bab(d,230)&&zab(d,230).Wj(),undefined)}};KBe(634,22,{151:1,293:1,304:1,308:1},gCe);var bCe,cCe,dCe,eCe;var jCe;KBe(636,1,{152:1},tCe);_.b=0;_.g=0;_.j=0;_.n=0;_.p=false;_.q=false;_.r=false;_.s=false;_.t=true;_.u=false;_.v=true;_.w=true;_.A=true;_.B=false;_.C=false;_.D=false;_.F=0;_.G=0;_.H=0;_.I=0;_.J=0;_.K=0;_.L=0;_.N=0;_.P=0;_.R=0;_.T=0;_.V=0;_.X=0;_._=true;_.ab=0;KBe(637,1,{},DCe);var vCe;KBe(639,1,Wey);KBe(638,639,Wey,KCe);_.Qg=function LCe(a){var b,c;if(!(window.console!=null&&window.console.firebug==null)||(HCe(this),-2147483648)>a.b.Wl()){return}b=this.e.Rg(a);c=a.b.Wl();c>=(f_f(),1000)?(window.console.error(b),undefined):c>=900?(window.console.warn(b),undefined):c>=800?(window.console.info(b),undefined):(window.console.log(b),undefined)};KBe(640,639,Wey,NCe);_.Qg=function OCe(a){return};KBe(641,639,Wey,QCe);_.Qg=function RCe(a){var b,c;if((HCe(this),-2147483648)>a.b.Wl()){return}b=this.e;c=b.Rg(a);Bab(b,153)?(new Q8e(c),undefined):(new H8e(c),undefined)};KBe(644,1,{});KBe(643,644,{});KBe(642,643,{153:1},YCe);_.Rg=function ZCe(a){var b,c;b=new XKf;JKf(b,(c=new XKf,cv(c.b,"<span style='color:"),JKf(c,WCe(a.b.Wl())),cv(c.b,Asy),cv(c.b,'<code>'),c.b.b));JKf(b,VCe(a,Mky));JKf(b,XCe(a.e));this.b&&!!a.f&&is(a.f,new gDe(b,b));cv(b.b,'<\/code><\/span>');return b.b.b};_.b=false;KBe(649,1,{});KBe(648,649,{});KBe(647,648,{});KBe(646,647,{},dDe);_.Sg=function eDe(a){JKf(this.c,a)};_.Tg=function fDe(){JKf(this.c,Iny)};KBe(645,646,{},gDe);_.Sg=function hDe(a){JKf(this.b,XCe(a))};_.Tg=function iDe(){JKf(this.b,Bsy)};var jDe;KBe(651,1,{},nDe);_.Ne=function oDe(a){iEe(this.b,(f_f(),d_f),a.Qe(),a)};KBe(652,1,{},vDe);KBe(653,639,Wey,xDe);_.Qg=function yDe(a){};KBe(654,1,Xey,ADe);_.Jg=function BDe(){return null};_.Ug=function CDe(a){return false};KBe(655,639,Wey,EDe);_.Qg=function FDe(a){return};KBe(656,643,{},HDe);_.Rg=function IDe(a){var b;b=new XKf;JKf(b,VCe(a,Iny));JKf(b,a.e);this.b&&!!a.f&&is(a.f,new dDe(b));return b.b.b};_.b=false;KBe(658,1,{},$De);_.c=null;_.f=false;KBe(660,1,Zey,mEe);KBe(659,660,Zey,nEe);var rEe;KBe(664,1,{},uEe);var tEe;KBe(665,1,{},xEe);_.Vg=function yEe(){return wEe(this)};_.b=false;KBe(667,22,{155:1,293:1,304:1,308:1},HEe);var BEe,CEe,DEe,EEe,FEe;var KEe;KBe(669,1,{154:1},NEe);_.b=0;_.c=0;_.d=0;_.f=0;KBe(673,1,$ey);KBe(672,673,_ey);KBe(671,672,_ey);_.eQ=function SEe(a){return this===a};_.hC=function TEe(){return cu(this)};KBe(670,671,_ey,UEe);_.Xg=function VEe(a){this.c.Dg(a)};_.Wg=function WEe(a,b){a.hh(this,b)&&UFe(a,this.c)};KBe(675,672,afy);_.eQ=function ZEe(a){var b,c,d;if(!Bab(a,157)){return false}c=zab(a,157);b=this.qf();d=c.qf();return b==null&&d==null||!(b==null&&d!=null)&&Bn(b,d)};_.hC=function $Ee(){return this.qf()==null?0:Dn(this.qf())};KBe(674,675,afy,_Ee,aFe);_.qf=function bFe(){return SFf(),this.b?RFf:QFf};_.Wg=function cFe(a,b){a.$g(this,b)};_.b=false;KBe(676,675,afy,eFe);_.qf=function fFe(){return MGf(this.b)};_.Wg=function gFe(a,b){a._g(this,b)};_.b=0;KBe(677,1,{});KBe(678,675,afy,jFe);_.qf=function kFe(){return gHf(),new jHf(this.b)};_.Wg=function lFe(a,b){a.ah(this,b)};_.b=0;KBe(679,671,_ey,oFe);_.Wg=function pFe(a,b){a.bh(this,b)};KBe(680,671,_ey,rFe);_.Zg=function sFe(a,b,c){this.c.Dg(new iGe(b,c))};_.Wg=function tFe(a,b){a.ih(this,b)&&UFe(a,this.c)};KBe(681,675,afy,vFe);_.qf=function wFe(){return fIf(this.b)};_.Wg=function xFe(a,b){a.dh(this,b)};_.b=0;KBe(682,671,_ey,AFe);_.Zg=function BFe(a,b,c){this.c.Dg(new iGe(b,c))};_.Wg=function CFe(a,b){if(a.jh(this,b)){UFe(a,this.d);UFe(a,this.c)}};KBe(683,675,afy,EFe,FFe);_.qf=function GFe(){return zIf(this.b)};_.Wg=function HFe(a,b){a.eh(this,b)};_.b=Qey;KBe(684,675,afy,LFe);_.qf=function MFe(){return null};_.Wg=function NFe(a,b){a.fh(this,b)};var JFe;KBe(685,673,$ey,QFe);_.Wg=function RFe(a,b){a.kh(this,b)&&UFe(a,this.b)};KBe(686,1,{});_.$g=function WFe(a,b){};_._g=function XFe(a,b){};_.ah=function YFe(a,b){};_.bh=function ZFe(a,b){};_.dh=function $Fe(a,b){};_.eh=function _Fe(a,b){};_.fh=function aGe(a,b){};_.gh=function bGe(a,b){};_.hh=function cGe(a,b){return true};_.ih=function dGe(a,b){return true};_.jh=function eGe(a,b){return true};_.kh=function fGe(a,b){return true};_.lh=function gGe(a,b){return true};KBe(687,673,$ey,iGe);_.Wg=function jGe(a,b){a.lh(this,b)&&this.c.Wg(a,b)};KBe(688,675,afy,lGe);_.qf=function mGe(){return this.b};_.Wg=function nGe(a,b){a.gh(this,b)};KBe(690,1,{},sGe);_.mh=function tGe(){return !!this.c[this.b++]};_.nh=function uGe(){return this.c[this.b++]};_.oh=function vGe(){return this.c[this.b++]};_.ph=function wGe(){return this.c[this.b++]};_.qh=function xGe(){return this.c[this.b++]};_.rh=function yGe(){return this.c[this.b++]};_.sh=function zGe(){return this.c[this.b++]};_.th=function AGe(){return rGe(this)};_.uh=function BGe(){return this.c[this.b++]};_.vh=function CGe(){return this.c[this.b++]};_.b=0;KBe(692,1,{});_.wh=function MGe(a){FGe(this,a)};_.xh=function NGe(a){GGe(this,a)};_.yh=function OGe(a){HGe(this,a)};_.zh=function PGe(a){IGe(this,a)};_.Ah=function QGe(a){JGe(this,a)};_.Bh=function RGe(a){KGe(this,a)};_.Ch=function SGe(a){LGe(this,a)};KBe(691,692,{},_Ge,aHe);_.Dh=function bHe(a,b,c){XGe(this,a,b,c)};_.Eh=function cHe(a,b){return $Ge(this,a,b)};_.Fh=function dHe(a){var b;if(a){a.valueOf&&(a=a.valueOf());a.hasOwnProperty('l')&&a.hasOwnProperty(Msy)&&a.hasOwnProperty('h')&&(b=Nsy)}b||(b=typeof a);switch(b){case Osy:return new aFe(a);case Psy:return new jFe(a);case Qsy:return new lGe(a);case Nsy:return new EFe(a);case Cny:break;case Bny:if(!a){return KFe(),JFe}if(!a.tM){break}return this.Eh(a.gC(),a);case fly:return KFe(),JFe;default:throw new ts('Unknown type '+b);}};var TGe;KBe(693,1,{},fHe);_.tS=function gHe(){return pHe(this.b)};_.wh=function hHe(a){FGe(this.c,a)};_.xh=function iHe(a){GGe(this.c,a)};_.yh=function jHe(a){HGe(this.c,a)};_.zh=function kHe(a){IGe(this.c,a)};_.Ah=function lHe(a){JGe(this.c,a)};_.Bh=function mHe(a){KGe(this.c,a)};_.Ch=function nHe(a){LGe(this.c,a)};KBe(694,677,{},qHe);_.Yg=function rHe(a){PFe(this.b,a)};_.tS=function sHe(){return pHe(this)};KBe(695,677,{},uHe);_.Yg=function vHe(a){if(!a){throw new hZe(null._ib().ajb)}zFe(this.b,a)};KBe(696,156,{159:1,293:1,311:1,321:1,327:1},xHe);KBe(697,1,{},zHe);_.gg=function AHe(a,b){this.b.Se(b)};_.hg=function BHe(b,c){var d,e,f,g,i;g=null;d=null;try{f=c.b.responseText;i=c.b.status;A1e()&&B1e(z1e(this.d,this.c,f.length,Rsy));i!=200?(d=new mZe(i,c.b.statusText,f)):f==null?(d=new RYe(Ssy+this.c)):(g=rGe(oGe(f)))}catch(a){a=MAe(a);if(Bab(a,159)){e=a;d=e.f}else if(Bab(a,187)){e=a;d=new MYe(Tsy,e)}else if(Bab(a,327)){e=a;d=e}else throw LAe(a)}finally{A1e()&&B1e(C1e(this.d,this.c,Usy))}try{!d?this.b.wj(g):this.b.Se(d)}finally{A1e()&&B1e(C1e(this.d,this.c,Rmy))}};KBe(699,1,{});_.Gh=function JHe(a){var b;b=new X_e(this.g);V_e(b,MHe(a));return b};_.Hh=function KHe(){return EHe(this)};_.Ih=function LHe(a,b,c,d){return new w0e(this,b,c,d,a)};KBe(698,699,{});_.Gh=function OHe(a){return oGe(a)};_.Hh=function PHe(){return new fHe(this.b)};_.Ih=function QHe(a,b,c,d){return new zHe(this,b,c,d)};KBe(700,677,{},THe);_.Yg=function UHe(a){SHe(this,a)};KBe(701,686,{},ZHe);_.$g=function $He(a,b){YHe(this,90,(SFf(),a.b?RFf:QFf).b?fsy:Lqy)};_._g=function _He(a,b){YHe(this,67,(uJf(),Uly+MGf(a.b).b))};_.ah=function aIe(a,b){YHe(this,68,vHf((gHf(),new jHf(a.b)).b))};_.bh=function bIe(a,b){if(XHe(this,a)){YHe(this,69,$e(a.b).j);YHe(this,73,(uJf(),Uly+a.b.i))}};_.dh=function cIe(a,b){YHe(this,73,eIf(fIf(a.b).b))};_.eh=function dIe(a,b){YHe(this,74,xIf(zIf(a.b).b))};_.fh=function eIe(a,b){YHe(this,86,Uly)};_.gh=function fIe(a,b){var c;if(XHe(this,a)){c=a.b;YHe(this,34,(uJf(),Uly+c.length));WHe(this,c)}};_.hh=function gIe(a,b){var c,d;if(XHe(this,a)){c=1;d=a.b;while(d.b){++c;d=d.b}YHe(this,91,d.j);TFe(this,new vFe(c));TFe(this,new vFe(a.c.d));return true}else{return false}};_.ih=function hIe(a,b){if(XHe(this,a)){YHe(this,76,a.b.j);TFe(this,new vFe(a.c.d));return true}else{return false}};_.jh=function iIe(a,b){if(XHe(this,a)){YHe(this,33,a.b.j);TFe(this,new vFe(a.d.d));UFe(this,a.d);TFe(this,new vFe(a.c.d));UFe(this,a.c);return false}else{return false}};_.kh=function jIe(a,b){YHe(this,82,(uJf(),Uly+a.b.d));return true};_.lh=function kIe(a,b){TFe(this,new lGe(a.b));return true};KBe(704,1,{},sIe);KBe(705,1,{160:1,161:1,293:1},uIe);_.eQ=function vIe(a){if(!Bab(a,160)){return false}return yJf(this.b,zab(zab(a,160),161).b)};_.hC=function wIe(){return jKf(this.b)};KBe(707,1,bfy,zIe);_.Jh=function AIe(){return this.b};_.eQ=function BIe(a){if(!Bab(a,163)){return false}return yJf(this.b,zab(a,163).Jh())};_.hC=function CIe(){return jKf(this.b)};KBe(708,1,{},IIe);KBe(709,1,bfy,LIe);_.Jh=function MIe(){return this.b};_.eQ=function NIe(a){return KIe(this,a)};_.hC=function OIe(){return jKf(this.b)};_.tS=function PIe(){return 'safe: "'+this.b+Dny};var QIe,RIe,SIe,TIe,UIe,VIe;KBe(711,1,{164:1,165:1},$Ie);_.eQ=function _Ie(a){if(!Bab(a,164)){return false}return yJf(this.b,zab(zab(a,164),165).b)};_.hC=function aJe(){return jKf(this.b)};var bJe,cJe;KBe(713,1,{},pJe);var kJe,lJe,mJe;KBe(714,1,{},tJe);_.b=false;_.c=false;KBe(718,1,{});KBe(720,1,{},KJe);var IJe;KBe(721,1,{},NJe);_.Mh=function OJe(a){return a};var MJe;KBe(722,718,{},RJe);_.Kh=function SJe(a){return zab(a,1)};var QJe;KBe(723,1,{},WJe);KBe(724,1,{},_Je);_.b=0;_.c=0;KBe(725,1,{166:1},eKe,fKe);_.eQ=function gKe(a){var b;if(!Bab(a,166)){return false}b=zab(a,166);return this.b==b.b&&this.c==b.c};_.hC=function hKe(){return Fab(this.b)^Fab(this.c)};_.tS=function iKe(){return 'Point('+this.b+isy+this.c+Hny};_.b=0;_.c=0;KBe(726,1,{},CKe);_.d=false;_.s=false;var kKe;KBe(727,1,cfy,EKe);_.Sf=function FKe(a){a.b?BKe(this.b):xKe(this.b)};KBe(728,1,{124:1,134:1},HKe);KBe(729,1,{123:1,134:1},JKe);KBe(730,1,{122:1,134:1},LKe);KBe(731,1,{121:1,134:1},NKe);KBe(732,1,dfy,PKe);_.Nh=function QKe(a){var b;if(1==sWe(a.e)){b=new eKe(_x(a.e)|0,ay(a.e)|0);if(qKe(this.b,b)||rKe(this.b,b)){a.b=true;dy(a.e);vy(a.e)}}};KBe(733,1,{},TKe);_.Ue=function UKe(){var a,b,c,d,e,f,g;if(this!=this.f.i){SKe(this);return false}a=Yr(this.b);ZJe(this.e,a-this.d);this.d=a;YJe(this.e,a);e=VJe(this.e);e||SKe(this);AKe(this.f,this.e.e);d=Fab(this.e.e.b);c=jjf(this.f.t);b=hjf(this.f.t);f=ijf(this.f.t);g=Fab(this.e.e.c);if((f<=g||0>=g)&&(b<=d||c>=d)){SKe(this);return false}return e};_.d=0;KBe(734,1,efy,WKe);_.Yf=function XKe(a){SKe(this.b)};KBe(735,1,{},ZKe);_.Ue=function $Ke(){var a,b,c;a=$r();b=new bRf(this.b.r);while(b.c<b.e.Ng()){c=zab(_Qf(b),167);a-c.c>=2500&&aRf(b)}return this.b.r.d!=0};KBe(736,1,{167:1},bLe,cLe);_.c=0;KBe(737,1,{},fLe);var gLe;KBe(739,1,{},lLe);KBe(742,110,ffy);_.Oh=function rLe(){return this.wd};_.Ph=function sLe(a){pLe(this,a)};_.ce=function tLe(){return qLe(this)};_.de=function uLe(){if(this.yd!=-1){this.wd.je(this.yd);this.yd=-1}this.wd.de();VVe();zXe(this.Cd,this);this.ge();x1(this,true)};_.ee=function vLe(a){Km(this,a);this.wd.ee(a)};_.fe=function wLe(){try{this.he();x1(this,false)}finally{this.wd.fe()}};_.Ud=function xLe(){bm(this,(VVe(),this.wd.Ud()));return this.Cd};KBe(741,742,gfy);_.Qh=function TLe(a){return wTe(this.ib,a)};_.Rh=function ULe(a){return VLe(this,(!yLe&&(yLe=$doc.createElement(Yny)),yLe),a)};_.Uh=function WLe(){return DTe(this.ib)};_.Vh=function XLe(){return this.ib.n};_.oe=function YLe(){return this.kb};_.Wh=function ZLe(a){return ELe(this,a)};_.Xh=function $Le(){return CTe(this.ib).o.d};_.Yh=function _Le(){return HTe(this.ib)};_.Zh=function aMe(){};_.ee=function bMe(a){var b,c,d;!OOe&&(OOe=new VOe);if(this.gb){return}b=a.target;if(!Px(b)){return}d=b;if(!Ey((VVe(),this.Cd),b)){return}Km(this,a);this.wd.ee(a);c=a.type;if(yJf(dny,c)){this.fb=true;this._h()}else if(yJf(eny,c)){this.fb=false;this.Zh()}else yJf(cny,c)?(this.fb=true):yJf(opy,c)&&POe((!OOe&&(OOe=new VOe),OOe),d)&&(this.fb=true);this.$h(a)};_.$h=function cMe(a){};_._h=function dMe(){};_.ai=function eMe(a){Im(this,new RUe)};_.he=function fMe(){this.fb=false};_.ci=function hMe(a,b){gMe(this,this.Sh(),b)};_.di=function jMe(a,b,c){var d;d=this.Rh(c);iMe(this.Sh(),d,b)};_.re=function kMe(a){FLe(this,a)};_.gi=function lMe(a,b){MTe(this.ib,a,b,true)};_.hi=function mMe(a,b){OTe(this.ib,a,b)};_.ii=function nMe(a,b){PTe(this.ib,a,b)};_.se=function oMe(a){OLe(this,a)};_.fb=false;_.gb=false;_.kb=0;var yLe;KBe(740,741,gfy);_.Rh=function WMe(a){return GNe(pMe,this,mty,a)};_.Sh=function XMe(){return this.li()};_.Th=function YMe(){return EMe(GMe(this))};_.oi=function ZMe(a,b,c,d){IMe(this,a,b,c,d)};_.Zh=function _Me(){var a,b;a=GMe(this);if(a){b=hy(a);Cx(a,this.cb.b.Li());TMe(b,this.cb.b.Mi(),this.cb.b.Ni(),false)}};_.$h=function aNe(a){JMe(this,a)};_._h=function bNe(){var a,b;a=GMe(this);if(a){b=hy(a);qx(a,this.cb.b.Li());TMe(b,this.cb.b.Mi(),this.cb.b.Ni(),true)}};_.pi=function cNe(){KMe(this)};_.bi=function dNe(a,b,c,d){this.X=false};_.ci=function eNe(a,b){LMe(this);(!b||!this.X)&&(b=tMe(this,a,HTe(this.ib).c,true));HNe(this,this.li(),(!OOe&&(OOe=new VOe),b))};_.di=function fNe(a,b,c){LMe(this);(!c||!this.X)&&(c=tMe(this,a,HTe(this.ib).c+b,false));INe(pMe,this,this.li(),(!OOe&&(OOe=new VOe),c),b,a.c)};_.ei=function gNe(){var a,b,c,d,e,f,g,i,j;d=EMe(GMe(this));if(!d){return false}f=this.Uh();a=(CUe(),AUe)==this.ib.f?-1:this.U;g=(CLe(this,f),FTe(this.ib,f));e=DLe(this,g);c=new fq(f+HTe(this.ib).c,a,e);b=RNe(this.db,d);if(!b){return false}i=b.Le(g);j=b.Je();j.Ae(c,d,i);return false};_.fi=function hNe(a,b,c){OMe(this,a,b,c)};_.gi=function iNe(a,b){RMe(this,a,b)};_.F=false;_.I=false;_.L=false;_.N=false;_.P=false;_.R=false;_.T=false;_.U=0;_.V=0;_.W=0;_.X=false;_.$=false;_._=false;_.ab=false;_.eb=false;var pMe,qMe;KBe(743,1,{},mNe);KBe(744,1,oey,oNe);_.Ve=function pNe(){sx(this.b)};KBe(745,1,{},rNe);_.He=function sNe(a){this.b.Ie(this.c,this.d,a)};_.c=0;KBe(746,1,oey,uNe);_.Ve=function vNe(){FLe(this.b,true)};KBe(748,1,hfy,ANe);_.qi=function BNe(a){yNe(this,a)};KBe(747,748,hfy,DNe);_.qi=function ENe(a){var b,c,d,e,f,g,i,j,k,n,o,p;e=a.g;c=a.g.type;if(yJf(cny,c)&&!a.e){i=this.b.Uh();g=DMe(this.b);i6();d=Yx(e);if(d==39){f=CNe(this,g,false);if(f<=g){RMe(this.b,i+1,true);if(this.b.Uh()!=i){PMe(this.b,f,true);a.d=true;vy(a.g);return}}else{PMe(this.b,f,true);a.d=true;vy(a.g);return}}else if(d==37){j=CNe(this,g,true);if(j>=g){RMe(this.b,i-1,true);if(this.b.Uh()!=i){PMe(this.b,j,true);a.d=true;vy(a.g);return}}else{PMe(this.b,j,true);a.d=true;vy(a.g);return}}}else if(yJf(gny,c)||yJf(dny,c)){b=a.b.b;k=a.b.c-HTe(this.b.ib).c;o=a.b.e;if(DMe(this.b)!=b||this.b.Uh()!=k||FMe(this.b)!=o){n=false;if(yJf(gny,c)){p=a.g.target;n=!POe((!OOe&&(OOe=new VOe),OOe),p)}QMe(this.b,k,o,n);PMe(this.b,b,n)}return}yNe(this,a)};KBe(749,1,{});KBe(750,749,{},MNe);KBe(751,1,{});_.q=0;_.r=0;KBe(752,1,{},YNe);KBe(753,742,ffy);_.ri=function cOe(){return this.w};KBe(754,110,gey,eOe);KBe(755,1,{},hOe);_.si=function iOe(a,b){return Hm(this.b,a,b)};_.ti=function jOe(a,b,c){var d,e;e=gOe(this,a,HTe(this.b.ib).c,b);this.b.fb=this.b.fb||c;this.c=this.b.fb;this.b.gb=true;this.b.ci(a,e);this.b.gb=false;d=this.b.Th();if(d){GLe(this.b,d,true);this.b.fb&&this.b._h()}Im(this.b,new tOe(HSf(CTe(this.b.ib).o)))};_.ui=function kOe(a,b,c,d){var e,f;f=gOe(this,a,HTe(this.b.ib).c+b,c);this.b.fb=this.b.fb||d;this.c=this.b.fb;this.b.gb=true;this.b.di(a,b,f);this.b.gb=false;e=this.b.Th();if(e){GLe(this.b,e,true);this.b.fb&&this.b._h()}Im(this.b,new tOe(HSf(CTe(this.b.ib).o)))};_.vi=function lOe(){this.c&&(!OOe&&(OOe=new VOe),pOe(new qOe(this)))};_.fi=function mOe(a,b,c){this.b.fb=this.b.fb||c;this.b.fi(a,b,c)};_.wi=function nOe(a){this.b.gb=true;this.b.ai(a);this.b.gb=false};_.c=false;KBe(756,1,oey,qOe);_.Ve=function rOe(){pOe(this)};KBe(757,554,{},tOe);KBe(758,1,{});_.d=false;_.e=0;_.g=0;_.j=0;_.k=0;_.o=0;KBe(759,1,{},MOe);KBe(760,1,{});var OOe;KBe(761,760,{},VOe);var SOe;KBe(768,740,gfy);_.ji=function KPe(a,b){this.p&&(b==null?pz(BPe(this,a).style,Dmy,Uly):pz(BPe(this,a).style,Dmy,b))};_.ki=function LPe(a,b){Am(a?this.C:this.D,b)};_.li=function MPe(){return this.w};_.mi=function NPe(){return this.C};_.ni=function OPe(){return this.D};_.ai=function PPe(a){CPe(this,a)};_.pi=function QPe(){var a,b,c,d;KMe(this);if(this.p){a=this.q.childNodes.length;d=IIf(this.J.d,0);for(c=0;c<d;c++){pz(BPe(this,c).style,ssy,Uly)}for(b=d;b<a;b++){this.p&&pz(BPe(this,b).style,Dmy,rsy);BPe(this,b).style[ssy]=(UB(),Wky)}}};_.p=false;KBe(769,1,{},SPe);KBe(770,1,{},UPe);KBe(777,753,{127:1,136:1,169:1,183:1,194:1,202:1,211:1,217:1,218:1,242:1,245:1});_.oe=function ZQe(){return this.u};_.ee=function $Qe(a){var b,c,d,e,f,g,i,j,k,n,o;!OOe&&(OOe=new VOe);if(this.n){return}Km(this,a);this.wd.ee(a);c=a.type;if(yJf(dny,c)){this.k=true;MRe(this.o,true)}else if(yJf(eny,c)){this.k=false;MRe(this.o,false)}else if(yJf(cny,c)&&!this.d){g=Yx(a);switch(g){case 40:case 38:case 39:case 37:QQe(this,g);vy(a);return;case 32:vy(a);}}k=a.target;b=new K3e;LQe(this,b,(VVe(),this.Cd),k);f=yJf(opy,c);d=yJf(gny,c);i=MQe(this,b,0,this.s);if(i){if(f){j=i.t;if(!!i.r&&Ey((wRe(),fy(fy(fy(i.Cd)))),k)){NRe(i,!i.q,true);return}else if(!!j&&Ey(j,k)){n=HTe(i.k.g);o=n.b+i.k.c;ZRe(i.k,new Ktf(n.c,o));return}}if(i!=this.s&&Ey((wRe(),fy(i.Cd)),k)){if(d){e=POe((!OOe&&(OOe=new VOe),OOe),k);this.k=this.k||e;SQe(this,i,!e)}CRe(i,a)}}};_.re=function _Qe(a){WQe(this)};_.se=function aRe(a){this.u=a;LRe(this.o,true,false)};_.d=false;_.g=25;_.i=0;_.j=false;_.k=false;_.n=false;_.u=0;var KQe;KBe(778,1,oey,dRe);_.Ve=function eRe(){cRe(this)};KBe(779,3,{});KBe(780,779,{});_.Ed=function lRe(){iRe(this)};_.Fd=function mRe(){jRe(this)};_.Gd=function nRe(a){kRe(this,a)};_.e=0;_.f=false;KBe(781,780,{},pRe);_.Ed=function qRe(){pz(this.d.style,psy,Uly);pz(this.d.style,bny,Uly);pz(this.d.style,Dmy,Uly);iRe(this)};_.Fd=function rRe(){jRe(this);this.f?(this.d.style[bny]=-this.e+(QI(),Bmy),undefined):(this.d.style[bny]=0+(QI(),Bmy),undefined);this.d.style[psy]=(EF(),Xoy)};_.Gd=function sRe(a){var b;kRe(this,a);if(this.f){b=(1-a)*-this.e;this.d.style[bny]=b+(QI(),Bmy)}else{b=a*-this.e;this.d.style[bny]=b+(QI(),Bmy)}};KBe(782,111,{170:1,211:1,242:1},RRe);_.b=false;_.g=0;_.j=false;_.p=false;_.q=false;var uRe,vRe;KBe(783,1,oey,URe);_.Ve=function VRe(){WQe(this.b.u)};KBe(784,1,ify,$Re);_.Qh=function _Re(a){return wTe(this.g,a)};_.be=function aSe(a){s2(this.d,a)};_.Vh=function bSe(){return this.g.n};_.Wh=function cSe(a){return FTe(this.g,a)};_.Xh=function dSe(){return GTe(this.g)};_.Yh=function eSe(){return HTe(this.g)};_.hi=function fSe(a,b){OTe(this.g,a,b)};_.ii=function gSe(a,b){PTe(this.g,a,b)};_.c=0;KBe(785,1,{134:1,256:1},iSe);KBe(786,1,{},nSe);_.si=function oSe(a,b){return r2(this.c.d,b,a)};
~~~

Version-Release number of selected component (if applicable):
rhevm-3.6.1-0.2.el6.noarch

How reproducible:
unclear

Steps to Reproduce:
1. just happens, the operation which caused it for once does not reproduce it
   on next repetition :(
2.
3.

Actual results:
from time to time there are js error dialogs about uncaught exception

Expected results:
should not appear inside the web app (?)

Additional info:
Comment 1 Einav Cohen 2015-12-03 09:54:42 EST
based on described scenario ("bumping-up DC compat level") should be 'infra' rather than 'ux', however the fact that the action completed successfully and that it is not reliably reproducible implies that there might be something else going on, potentially ux-related.

@Alexander: just like in bug 1284584 - please analyse the stack trace to find the root cause of the problem and report back here in the BZ. Thanks.
Comment 2 Red Hat Bugzilla Rules Engine 2015-12-03 10:04:49 EST
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 3 Alexander Wels 2015-12-14 10:13:32 EST
Jiri,

Can you provide me access to the engine machine (preferably root access) so I can check if the symbol map is installed, and I can compare it against the error in this bugzilla.
Comment 4 Alexander Wels 2015-12-17 10:05:09 EST
Jiri,

Any updated on this, I can't really do much without more information
Comment 5 Jiri Belka 2015-12-22 11:28:20 EST
(In reply to Alexander Wels from comment #4)
> Jiri,
> 
> Any updated on this, I can't really do much without more information

Replied via mail.
Comment 6 Alexander Wels 2016-01-06 11:21:06 EST
So I finally figured out where the exception was being generated. Now I just don't understand WHY it was being generated. I can prevent the exception by simply putting a check in, but that won't solve the root cause of the problem.

What happened is that it tried to auto select the only row in the grid, it checks to make sure there is only 1 item, and then looks at the visible rows and selects the first (only) one. However in this case there was an item, but the visible rows was empty. So trying to read the first visible row threw the index out of bound exception.

The question now becomes HOW did it happen that the model thinks there is 1 item, but the view doesn't have a visible row to match.

I will make a patch to check to make sure I have a visible item before trying to select the first one.
Comment 7 Pavel Stehlik 2016-01-13 10:50:05 EST
Closing old bugs. In case still happens, pls reopen.
Comment 8 Sandro Bonazzola 2016-01-14 03:30:51 EST
(In reply to Pavel Stehlik from comment #7)
> Closing old bugs. In case still happens, pls reopen.

How can this be old, being fixed 3 days ago? on a version still in release candidate?
Sorry for the noise with the assignee, something went wrong while setting target release.
Comment 9 Petr Matyáš 2016-01-15 09:50:42 EST
Verified on 3.6.2-9

Note You need to log in before you can comment on or make changes to this bug.